Summary:	C/C++ debugger for GNOME
Summary(pl.UTF-8):	Debugger C/C++ dla GNOME
Name:		nemiver
Version:	0.9.5
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nemiver/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	eb181de2e92a850982987c1960fc4454
Patch0:		GErrorSafePtr.patch
Patch1:		NativeGObjectSafePtr.patch
Patch2:		vte-0.38.patch
URL:		http://home.gna.org/nemiver/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	docbook-dtd412-xml
# gdlmm for dynamic layout
BuildRequires:	gdlmm-devel >= 3.2
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	ghex-devel >= 3.0.0
BuildRequires:	glibmm-devel >= 2.25.1
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	gtksourceviewmm3-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	libgtop-devel >= 2.14.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	vte-devel >= 0.38.0
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	gdb
Requires:	gtkmm >= 2.18
Obsoletes:	nemiver-libs < 0.5.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nemiver is an ongoing effort to write a standalone graphical debugger
that integrates well in the GNOME desktop environment. It currently
features a backend which uses the well known GNU Debugger (gdb) to
debug C/C++ programs.

%description -l pl.UTF-8
Nemiver to próba napisania samodzielnego graficznego debuggera dobrze
integrującego się ze środowiskiem graficznym GNOME. Aktualnie zawiera
backend wykorzystujący dobrze znany GNU Debugger (gdb) do śledzenia
programów w C/C++.

%package devel
Summary:	Header files for Nemiver
Summary(pl.UTF-8):	Pliki nagłówkowe Nemivera
Group:		X11/Development/Libraries
Requires:	glibmm-devel >= 2.16.0
Requires:	libgtop-devel >= 2.14.0
Requires:	libxml2-devel >= 1:2.6.31
Obsoletes:	nemiver-static

%description devel
Header files for developing new debugging backends for Nemiver.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania nowych backendów dla Nemivera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-default-gdb=%{_bindir}/gdb \
	--disable-schemas-install \
	--disable-silent-rules \
	--disable-static \
	--enable-gsettings=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/nemiver/*.la
rm $RPM_BUILD_ROOT%{_libdir}/nemiver/modules/*.la
rm $RPM_BUILD_ROOT%{_libdir}/nemiver/plugins/dbgperspective/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nemiver
%{_datadir}/nemiver
%{_desktopdir}/nemiver.desktop
%{_iconsdir}/hicolor/*/apps/nemiver.png
%{_iconsdir}/hicolor/*/apps/nemiver.svg
%{_iconsdir}/HighContrast/*/apps/nemiver.png
%{_datadir}/glib-2.0/schemas/org.nemiver.gschema.xml
%dir %{_libdir}/nemiver
%attr(755,root,root) %{_libdir}/nemiver/libnemivercommon.so
%{_libdir}/nemiver/config
%dir %{_libdir}/nemiver/modules
%attr(755,root,root) %{_libdir}/nemiver/modules/*.so
%dir %{_libdir}/nemiver/plugins
%dir %{_libdir}/nemiver/plugins/dbgperspective
%{_libdir}/nemiver/plugins/dbgperspective/dbgperspective.conf
%{_libdir}/nemiver/plugins/dbgperspective/icons
%attr(755,root,root) %{_libdir}/nemiver/plugins/dbgperspective/libdbgperspectiveplugin.so
%{_libdir}/nemiver/plugins/dbgperspective/menus
%{_libdir}/nemiver/plugins/dbgperspective/plugin-descriptor.xml
%{_libdir}/nemiver/plugins/dbgperspective/sqlscripts
%{_libdir}/nemiver/plugins/dbgperspective/ui
%{_mandir}/man1/nemiver.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/nemiver
%changelog
* Thu Aug 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nemiver.git;a=log;h=master

* Thu Aug 27 2015 Jan Rękorajski <baggins@pld-linux.org> fee1489
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4453d7a
- updated gettext BR

* Wed Nov 19 2014 Jan Rękorajski <baggins@pld-linux.org> d812300
- removed obsolete patches

* Wed Nov 19 2014 Jan Rękorajski <baggins@pld-linux.org> baafd8c
- added patches to support building with vte 0.38
- rel 5

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 49b9cf7
- release 3 (by relup.sh)

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 89a0f4e
- libgtop rebuild
- release 2 (by relup.sh)

* Wed Feb 12 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 367c465
- updated to 0.9.5

* Sun Aug 18 2013 Jan Palus <jan.palus@gmail.com> a9d4c74
- explicitly enable gsettings schemas
- remove non-existent scrollkeeper toggle

* Sat Aug 17 2013 Jan Palus <jan.palus@gmail.com> 6523b37
- switch to gsettings schemas

* Sat Jun 22 2013 Łukasz Krotowski <lkrotowski@pld-linux.org> 1aa5f80
- updated to 0.9.4
- added missing BRs
- desktop patch applied upstream
- configure patch substituted with configure parameter

* Sat Nov 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 491d4da
- release 3

* Sat Oct 29 2011 Jarosław Kruk <jareq@pld-linux.org> c6d8f36
- added BR gdlmm-devel (for dynamic layout)
- rel 2

* Sat Oct 29 2011 Jarosław Kruk <jareq@pld-linux.org> d5eca44
- updated to 0.9.0
- rel 1

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 4677912
- Requires(post,postun): gtk-update-icon-cache

* Thu Jan 27 2011 Jan Palus <jan.palus@gmail.com> bf0470d
- up to 0.8.1
- gcc-4.5.diff applied upstream
- updated BRs
- no -f for rm (prevent from failing silently if files no longer exist)

* Tue May 18 2010 Tomasz Pala <gotar@pld-linux.org> d07083e
- R: gtkmm higher than 2.14 (maybe 2.16 is enough)
  libworkbenchmod.so: undefined symbol: _ZN3Gtk6Action16set_is_importantEb

* Sun May 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c831c48
- removed bogus BR: libpng12-devel
- disabled silent rules

* Sun May 09 2010 Tomasz Pala <gotar@pld-linux.org> 294a89d
- BR: libpng12-devel

* Sun May 09 2010 Tomasz Pala <gotar@pld-linux.org> da60ae6
- stupid me...

* Sun May 09 2010 Tomasz Pala <gotar@pld-linux.org> 0360f48
- GCC 4.5 patch from http://ftp.debian.org/debian/pool/main/n/nemiver/nemiver_0.7.3-2.diff.gz

